## libsndfile 1.0.20-0maemo1%2bogg

=== debian/changelog ===
libsndfile (1.0.20-0maemo1+ogg) unstable; urgency=low

  * Configured with ogg/flac support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 18 Oct 2010 22:15:26 +0200

libsndfile (1.0.20-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Sat, 23 May 2009 13:22:26 +0300

libsndfile (1.0.20-0maemo1) unstable; urgency=low

  * New upstream version. Fixes: NB#117661
  * Add missing *-dbg. Fixes: NB#118372

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 19 May 2009 12:52:56 +0300

libsndfile (1.0.19-0maemo1) unstable; urgency=low

  * New Upstream Version.
  * CVE-2009-0186. Fixes: NB#109159

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 04 May 2009 18:53:59 +0300

libsndfile (1.0.18-2maemo1) unstable; urgency=low

  * Maemo update.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 19 Feb 2009 17:18:43 +0200

libsndfile (1.0.18-2) unstable; urgency=low

  * Add missing build-dependencies on pkg-config and libvorbis-dev.

 -- Samuel Mimram <smimram@debian.org>  Tue, 17 Feb 2009 19:21:03 +0100

libsndfile (1.0.18-1) unstable; urgency=low

  * New upstream release.
  - Corrected error messages in libsndfile, closes: #481833.
  * Removed flac-1.1.4.dpatch and overflow.dpatch, integrated upstream.
  * Updated lossy_comp_test-overflow.dpatch and sndfile-play-kfreebsd.dpatch.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.
  * Put homepage in headers instead of description.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Feb 2009 10:13:44 +0100

libsndfile (1.0.17-4maemo1) unstable; urgency=low

  * maemo update
   - remove flac build/dev dependency.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Mon, 14 Jan 2008 20:16:53 +0200

libsndfile (1.0.17-4) unstable; urgency=low

  * Added overflow.dpatch to fix a possible heap-based buffer overflow
    (CVE-2007-4974), closes: #443386.

 -- Samuel Mimram <smimram@debian.org>  Thu, 20 Sep 2007 23:40:17 +0000

libsndfile (1.0.17-3) unstable; urgency=low

  * Version dependencies on libflac-dev, closes: #431140.

 -- Samuel Mimram <smimram@debian.org>  Sat, 30 Jun 2007 17:05:38 +0200

libsndfile (1.0.17-2) unstable; urgency=low

  * Added flac-1.1.4.dpatch to adapt to the new FLAC API, closes: #426676.
  * Don't build-depend on libasound2-dev on hurd, closes: #426795.

 -- Samuel Mimram <smimram@debian.org>  Fri, 15 Jun 2007 12:41:00 +0200

libsndfile (1.0.17-1) unstable; urgency=low

  * Adopting the package, closes: #418082.
  * New upstream release, closes: #407635.
  * Big-endian architectures should now correctly be handled by sndfile-play,
    closes: #350807.
  * Using dpatch to handle patches.
  * Added lossy_comp_test-overflow.dpatch to prevent a possible overflow in
    the tests when compiled with gcc 4.2, closes: #362414.
  * Added sndfile-play-kfreebsd.dpatch to make sndfile-play work on kfreebsd,
    closes: #376525.

 -- Samuel Mimram <smimram@debian.org>  Sat, 07 Apr 2007 13:07:14 +0200

libsndfile (1.0.16-1) unstable; urgency=low

  * New upstream release
  * Update standards version (no changes required)

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  3 Jul 2006 20:24:54 +1000

libsndfile (1.0.15-3) unstable; urgency=low

  * Depend on libasound2-dev so we use ALSA for the example programs 
    rather than (potentially) using OSS. Should fix #350807 but I'll
    wait until the reporter confirms this before closing.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 24 Apr 2006 22:21:00 +1000

libsndfile (1.0.15-2) unstable; urgency=medium

  * Pull changes from 1.0.16pre1 for src/aiff.c so we can build on m68k 
  (Closes: #359325)

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 29 Mar 2006 23:07:45 +1100

libsndfile (1.0.15-1) unstable; urgency=low

  * New upstream release
  * Fix ia64 compilation issues (and possible ARM and m68k)
  * Add RIFX support

 -- Anand Kumria <wildfire@progsoc.org>  Fri, 17 Mar 2006 11:32:16 +1100

libsndfile (1.0.14-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 21 Feb 2006 22:20:26 +1100

libsndfile (1.0.13-1) unstable; urgency=low

  * New upstream release
  * Add reading/writing of instrument chunks to WAV and AIFF files
  * Support G721 / G610 coded WAV files

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 23 Jan 2006 08:35:00 +1100

libsndfile (1.0.12-3) unstable; urgency=medium

  * Add dependancy on libflac-dev to libsndfile1-dev (Closes: #332591)

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  8 Oct 2005 14:32:56 +1000

libsndfile (1.0.12-2) unstable; urgency=low

  * Depend on libflac7 (Closes: #331040)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 01 Oct 2005 20:15:28 +1000

libsndfile (1.0.12-1) unstable; urgency=low

  * New upstream release
  * Upstream has updated config.sub/config.guess (Closes: #328147)
  * Upstream now supports Ogg Flac, so depend on libflac-dev
  * Update to standards version 3.6.2.1

 -- Anand Kumria <wildfire@progsoc.org>  Fri, 30 Sep 2005 15:57:54 +1000

libsndfile (1.0.11-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 17 Jul 2005 01:00:59 +1000

libsndfile (1.0.10-2) unstable; urgency=medium

  * Patch from upstream to correct flaw in sndfile-progs
  * Corrects sndfile-convert (closes: #271999)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 18 Sep 2004 04:33:42 +1000

libsndfile (1.0.10-1) unstable; urgency=low

  * New upstream release
  * Slightly different patch from upstream to correct #253490
  * bugfixes to AIFF/WAV read/write
  * hardier testsuite
  * 1.0.9 were accidently uploaded as Debian native. Fix that.

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 17 Jun 2004 00:05:56 +1000

libsndfile (1.0.9-2) unstable; urgency=low

  * Apply patch from Andreas Jochens to correctly cast to size_t various
    arguments (closes: #253490)


