=== debian/control ===
Source: libsndfile
Section: devel
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
XSBC-Original-Maintainer: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 5), dpatch, pkg-config, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libflac-dev, libogg-dev, libvorbis-dev
Standards-Version: 3.8.0
Homepage: http://www.mega-nerd.com/libsndfile/

Package: libsndfile1-dev
Section: libdevel
Architecture: any
Depends: libsndfile1 (= ${binary:Version}), pkg-config
Conflicts: libsndfile-dev, libsndfile0-dev
Replaces: libsndfile-dev
Provides: libsndfile-dev
Description: Library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 This is the development version of libsndfile. You will need this only if you
 intend to compile programs that use this library.

Package: libsndfile1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 Various versions of WAV (integer, floating point, GSM, and compressed formats);
 Microsoft PCM, A-law and u-law formats; AIFF, AIFC and RIFX; various AU/SND
 formats (Sun/NeXT, Dec AU, G721 and G723 ADPCM); RAW header-less PCM files;
 Amiga IFF/8SVX/16SV PCM files; Ensoniq PARIS  (.PAF); Apple's Core Audio Format
 (CAF) and others.

Package: sndfile-programs
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Sample programs that use libsndfile
 This package contains simple programs for playing and converting sound files
 with the libsndfile library.

Package: libsndfile1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libsndfile1 (= ${binary:Version})
Description: Library for reading/writing audio files, debugging symbols
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 Various versions of WAV (integer, floating point, GSM, and compressed formats);
 Microsoft PCM, A-law and u-law formats; AIFF, AIFC and RIFX; various AU/SND
 formats (Sun/NeXT, Dec AU, G721 and G723 ADPCM); RAW header-less PCM files;
 Amiga IFF/8SVX/16SV PCM files; Ensoniq PARIS  (.PAF); Apple's Core Audio Format
 (CAF) and others.
 .
 This package contains detached debugging symbols for the libsndfile1
 library.

Package: sndfile-programs-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, sndfile-programs (= ${binary:Version})
Description: Sample programs that use libsndfile, debugging symbols
 This package contains simple programs for playing and converting sound files
 with the libsndfile library.
 .
 This package contains detached debugging symbols for the sndfile-programs
 library.
