## libsndfile 1.0.21

=== debian/changelog ===
libsndfile (1.0.21-3+squeeze1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as an uploader. 

 -- Andres Salomon <dilinger@debian.org>  Sun, 13 Nov 2011 08:42:36 +0000

libsndfile (1.0.21-3+squeeze1) stable-security; urgency=low

  * CVE-2011-2696

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 25 Jul 2011 16:19:09 +0000

libsndfile (1.0.21-3) unstable; urgency=low

  * Add patch 02flac_zero_len.diff to make FLAC handler work on files of
    unknown length (FLAC metadata says 0 frames). (Closes: #590752).
  * debian/control : Standards version 3.9.0.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon,  2 Aug 2010 19:28:17 +1000

libsndfile (1.0.21-2) unstable; urgency=low

  * Patch configure.ac to generate symbols file for kfreebsd (Closes: 561086).
  * debian/control : Add build-dep on autoconf and automake (for autoreconf).
  * debian/rules : Run autoreconf before configure.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 15 Dec 2009 20:59:14 +1100

libsndfile (1.0.21-1) unstable; urgency=low

  * New upstream.
  * debian/rules :
     - Remove old man pages which are now in upstream package.
     - Remove old patches now in usptream.
     - sndfile-programs now recommends sndfile-tools.
  * debian/control : Updated long desription for sndfile-programs.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 14 Dec 2009 20:12:32 +1100

libsndfile (1.0.20-3) unstable; urgency=low

  * debian/rules :
    - Man pages belong to sndfile-programs. (Closes: #549972).
    - Make sure that test suite failures are not ignored.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed,  7 Oct 2009 06:56:20 +1100

libsndfile (1.0.20-2) unstable; urgency=low

  * debian/control :
    - New maintainer (Closes: #546787).
    - Add DM-Upload-Allowed yes.
    - Standards-Version: 3.8.3.
    - Depend on libvorbis >= 1.2.3. Version 1.2.0 gives weird results on some
      arches (eg PPC, MIPS) (Closes: #518037).
  * debian/copyright :
    - Add missing license info (Closes: #532448).
  * debian/rules :
    - Clear dependency_libs field of libsndfile.la (Closes: #539889).
  * debian/patches/ debian/rules debian/control :
    - Use quilt instead of dpatch.
  * Add file debian/README.source
  * Add patch debian/patches/02man_sndfile_convert.diff to fix man page lintian
    warning.
  * Add three new manpages.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue,  6 Oct 2009 21:34:58 +1100

libsndfile (1.0.20-1) unstable; urgency=low

  * New upstream release.
  * Fixes potential heap overflows on VOC and AIFF files, closes: #528650.

 -- Samuel Mimram <smimram@debian.org>  Tue, 19 May 2009 09:13:56 +0200

libsndfile (1.0.19-2) unstable; urgency=low

  * Ignore failures of check since it causes too many false negatives,
    closes: #518037, #519338.
  * Update standards version to 3.8.1.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Mar 2009 09:44:42 +0100

libsndfile (1.0.19-1) unstable; urgency=low

  * New upstream release.
  - Adds back flac support, closes: #517224.

 -- Samuel Mimram <smimram@debian.org>  Tue, 03 Mar 2009 09:36:10 +0100
