## libsndfile 1.0.23

=== debian/changelog ===
libsndfile (1.0.23-1ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: integer overflow leading to heap-based overflow
    - debian/CVE-2011-2696.patch: verify paf header length and paf channels
    - CVE-2011-2696

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 21 Jul 2011 15:32:10 -0500

libsndfile (1.0.23-1build1) natty; urgency=low

  * No-change upload to reduce shipped changelogs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Dec 2010 09:13:26 +0100

libsndfile (1.0.23-1) unstable; urgency=low

  * New upstream (Closes: #599145, #545257).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 10 Oct 2010 18:31:15 +1100

libsndfile (1.0.22-1) unstable; urgency=low

  * New upstream.
  * Remove debian/patches/01kfreebsd_symbols.diff (already in upstream).
  * Remove debian/patches/02flac_zero_len.diff (already in upstream).
  * debian/control :
     - Remove build-dep on autoconf and automake.
     - Standard version 3.9.1.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon,  4 Oct 2010 12:28:26 +1100
