=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libsndfile
 Section: devel
 Priority: optional
-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
-Uploaders: Andres Salomon <dilinger@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.0), pkg-config,
- autoconf, automake,
  libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.mega-nerd.com/libsndfile/
 
 Package: libsndfile1-dev
