=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-include /usr/share/dpatch/dpatch.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -22,14 +20,17 @@
 
 config.status: configure
 	dh_testdir
+	#autoreconf -f
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: patch build-stamp
-build-stamp:  config.status
+build-stamp: config.status
 	dh_testdir
 
 	$(MAKE)
+
+	# Failure in test suite must cause a build failure.
 	$(MAKE) check
 
 	touch build-stamp
@@ -46,10 +47,15 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k -a #dh_prep -a
+	dh_prep -a
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
+	set -e; for FILE in debian/tmp/usr/lib/*.la; \
+	do \
+		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
+	done
 
 binary-indep: build install
 
@@ -57,11 +63,15 @@
 	dh_testdir
 	dh_testroot
 	dh_install -a --sourcedir=debian/tmp --list-missing
+
+	# This line can be removed when these man pages get pushed upstream.
+	dh_installman -psndfile-programs debian/sndfile-interleave.1
+	dh_link -psndfile-programs usr/share/man/man1/sndfile-interleave.1 usr/share/man/man1/sndfile-deinterleave.1
+
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installchangelogs -a ChangeLog
-	dh_strip -plibsndfile1 --dbg-package=libsndfile1-dbg
-	dh_strip -psndfile-programs --dbg-package=sndfile-programs-dbg
+	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -plibsndfile1
