## libsndfile 1.0.24

=== debian/changelog ===
libsndfile (1.0.24-1ubuntu2) oneiric; urgency=low

  * Build for multiarch.  LP: #825342.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Aug 2011 12:39:20 -0700

libsndfile (1.0.24-1ubuntu1) oneiric; urgency=low

  * SECURITY UPDATE: integer overflow leading to heap-based overflow
    - debian/CVE-2011-2696.patch: verify paf header length and paf channels.
      This can be dropped with 1.0.25.
    - CVE-2011-2696

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 21 Jul 2011 15:29:06 -0500

libsndfile (1.0.24-1) unstable; urgency=low

  * New upstream.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 23 Mar 2011 20:50:15 +1100
