=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), pkg-config,
+Build-Depends: debhelper (>= 8.1.3), pkg-config,
  libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Standards-Version: 3.9.1
@@ -28,6 +28,8 @@
 Package: libsndfile1
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for reading/writing audio files
  libsndfile is a library of C routines for reading and writing files containing
