=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -21,7 +21,7 @@
 config.status: configure
 	dh_testdir
 	#autoreconf -f
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: patch build-stamp
@@ -30,8 +30,10 @@
 
 	$(MAKE)
 
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE)))
 	# Failure in test suite must cause a build failure.
 	$(MAKE) check
+endif
 
 	touch build-stamp
 
@@ -52,7 +54,7 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	set -e; for FILE in debian/tmp/usr/lib/*.la; \
+	set -e; for FILE in debian/tmp/usr/lib/*/*.la; \
 	do \
 		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
 	done
@@ -77,7 +79,7 @@
 	dh_makeshlibs -plibsndfile1
 	dh_installdeb -a
 	dh_shlibdeps -plibsndfile1
-	dh_shlibdeps -psndfile-programs -ldebian/tmp/usr/lib
+	dh_shlibdeps -psndfile-programs -ldebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
