## libsndfile 1.0.25

=== debian/changelog ===
libsndfile (1.0.25-7ubuntu1) saucy; urgency=low

  * Update config.{guess,sub} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2013 14:11:45 +0200

libsndfile (1.0.25-7) unstable; urgency=low

  * debian/control debian/rules
    Create -dbg versions of libsndfile1 and sndfile-programs binary packages.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 13 Jul 2013 18:48:35 +1000

libsndfile (1.0.25-6) unstable; urgency=low

  * debian/patches/01_sd2_rsrc_segfault.diff : Patch from upstream git.
  * debian/rules : Remove cruft at end of ifeq line.
  * debian/control : Remove DM-Upload-Allowed which no longer works.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 28 Jun 2013 17:39:23 +1000

libsndfile (1.0.25-5) unstable; urgency=low

  * debian/libsndfile1-dev: Do not install libsndfile.la (Closes: #670420).
  * debian/control: Standards version 3.9.3. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 18 Jun 2012 19:22:57 +1000

libsndfile (1.0.25-4) unstable; urgency=low

  * Patch from Moritz Muehlenhoff enabling harden build flags (Closes: #654831).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri,  6 Jan 2012 21:19:17 +1100

libsndfile (1.0.25-3) unstable; urgency=low

  * Patch from Steve Langasek to enable multiarch (Closes: #637585).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 13 Aug 2011 09:01:35 +1000

libsndfile (1.0.25-2) unstable; urgency=low

  * debian/control: Use linux-any dpkg architecture wildcard (Closes: #634492).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 19 Jul 2011 18:40:14 +1000

libsndfile (1.0.25-1) unstable; urgency=low

  * New upstream.
  * debian/control: Update standards version (no changes needed).
  * debian/rules: Add build-indep and build-arch targets.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 18 Jul 2011 20:06:57 +1000
