=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+
+# http://wiki.debian.org/Hardening#Using_Hardening_Options
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -21,7 +25,10 @@
 config.status: configure
 	dh_testdir
 	#autoreconf -f
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	./configure $(shell dpkg-buildflags --export=configure) \
+		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: patch build-stamp
@@ -30,7 +37,7 @@
 
 	$(MAKE)
 
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE)))
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	# Failure in test suite must cause a build failure.
 	$(MAKE) check
 endif
@@ -54,12 +61,12 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	set -e; for FILE in debian/tmp/usr/lib/*/*.la; \
-	do \
-		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
-	done
+	# Purge *.la files. See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval
+	rm -f debian/tmp/usr/lib/*/*.la
 
 binary-indep: build install
+build-arch: build
+build-indep: build
 
 binary-arch: build install
 	dh_testdir
@@ -73,7 +80,10 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installchangelogs -a ChangeLog
-	dh_strip -a
+
+	dh_strip -plibsndfile1 --dbg-package=libsndfile1-dbg
+	dh_strip -psndfile-programs --dbg-package=sndfile-programs-dbg
+
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -plibsndfile1
@@ -84,5 +94,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
+
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install patch unpatch
