## libsndfile 1.0.27

=== debian/changelog ===
libsndfile (1.0.27-3) unstable; urgency=medium

  * Mentioned CVEs fixed by fix_bufferoverflows.patch
    (CVE-2017-7741, CVE-2017-7586, CVE-2017-7585)
  * Backported patch for error handling of malicious/broken FLAC files
    (CVE-2017-7742, CVE-2017-7741, CVE-2017-7585)
    (Closes: #860255)
  * Backported patch to fix buffer read overflow in FLAC code
    (CVE-2017-8362)
    (Closes: #862204)
  * Backported patches to fix memory leaks in FLAC code
    (CVE-2017-8363)
    (Closes: #862203)
  * Backported patch to fix buffer overruns in FLAC-code
    (CVE-2017-8365, CVE-2017-8363, CVE-2017-8361)
    (Closes: #862205, #862203, #862202)

  * Added Vcs-* stanzas to d/control

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 28 May 2017 22:52:39 +0200

libsndfile (1.0.27-2) unstable; urgency=medium

  * Backported fixes for buffer-write overflows from 1.0.28.
    Thanks to Erik de Castro Lopo
  * Added myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 04 Apr 2017 15:33:45 +0200

libsndfile (1.0.27-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/patches : Drop un-needed patches.
  * debian/control : Standards version 3.9.8.
  * debian/copyright : Fix typo.
  * libsndfile1.symbols : Add new symbols.
  * Drop man pages that are now in upstream package.

  [ IOhannes m zmölnig ]
  * debian/patches :
    - Fix spelling errors.
  * debian/rules :
    - Drop deprecated inclusion of hardening-includes.
    - Disable silent builds.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed,  5 Oct 2016 22:32:40 +0200

libsndfile (1.0.25-10) unstable; urgency=low

  * debian/patches :
    - Add 02_sd2_buffer_read_overflow.diff (CVE-2014-9496, closes: #774162).
    - Add 03_file_io_divide_by_zero.diff (CVE-2014-9756, closes: #804447).
    - Add 04_fix_aiff_heap_overflow.diff (CVE-2015-7805, closes: #804445).
  * Install sndfile-salvage binary and man page.
  * debian/control: Standards version 3.9.6. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 10 Nov 2015 20:36:47 +1100

libsndfile (1.0.25-9) unstable; urgency=low

  * debian/rules: Switch from autotools-dev to dh-autoreconf.
  * debian/control Standards-Version 3.9.5.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 29 Jan 2014 18:21:13 +1100

libsndfile (1.0.25-8) unstable; urgency=low

  [Wookey <wookey@debian.org>]
  * Ensure config.sub/guess are up to date (Closes: #732346).

  [Erik de Castro Lopo]
  * debian/control:
    - Standards version 3.9.4. No changes needed.
    - Set 'Multi-Arch: same' for -dbg package.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 17 Dec 2013 21:18:40 +1100
