=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
-Build-Depends: debhelper (>= 8.1.3), pkg-config,
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends: debhelper (>= 8.1.3), pkg-config, dh-autoreconf,
  libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
  libasound2-dev [linux-any]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Homepage: http://www.mega-nerd.com/libsndfile/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsndfile.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libsndfile.git
 
 Package: libsndfile1-dev
 Section: libdevel
@@ -60,6 +64,7 @@
 Architecture: any
 Section: debug
 Priority: extra
+Multi-Arch: same
 Depends:
     libsndfile1 (= ${binary:Version}),
     ${misc:Depends}
